Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.area
Class RegionReference

    java.lang.Object
      org.apache.fop.area.AreaTreeObject
          org.apache.fop.area.Area
              org.apache.fop.area.RegionReference

All Implemented Interfaces:
  java.lang.Cloneable, java.io.Serializable

Direct Known Subclasses:
  BodyRegion

public class RegionReference
extends Area
implements java.lang.Cloneable

This is a region reference area for a page regions. This area is the direct child of a region-viewport-area. It is cloneable so the page master can make copies from the original page and regions.

See Also:
  Serialized Form

Field Summary
`protected RegionViewport` | `regionViewport` the parent RegionViewport for this object

Fields inherited from class org.apache.fop.area.Area
`bpd, BT, CLASS_ABSOLUTE, CLASS_BEFORE_FLOAT, CLASS_FIXED, CLASS_FOOTNOTE, CLASS_MAX, CLASS_NORMAL, CLASS_SIDE_FLOAT, ipd, log, LR, ORIENT_0, ORIENT_180, ORIENT_270, ORIENT_90, props, RL, TB`

Fields inherited from class org.apache.fop.area.AreaTreeObject
`extensionAttachments, foreignAttributes`

Constructor Summary
`RegionReference(int regionClass, java.lang.String regionName, RegionViewport parent)` Create a new region reference area.
`RegionReference(Region regionFO, RegionViewport parent)` Create a new region reference area.

Method Summary
`void` | `addBlock(Block block)` Add a block area to this region reference area.
`void` | `addChildArea(Area child)` Add a child to this area. The default is to do nothing. Subclasses must override to do something if they can have child areas.
`java.lang.Object` | `clone()` Clone this region.
`java.util.List` | `getBlocks()` Get the block in this region.
`CTM` | `getCTM()` Get the current transform of this region.
`int` | `getRegionClass()` Get the region class of this region.
`java.lang.String` | `getRegionName()`
`RegionViewport` | `getRegionViewport()`
`void` | `setCTM(CTM ctm)` Set the Coordinate Transformation Matrix which transforms content coordinates in this region reference area which are specified in terms of "start" and "before" into coordinates in a system which is positioned in "absolute" directions (with origin at lower left of the region reference area.
`java.lang.String` | `toString()`

Methods inherited from class org.apache.fop.area.Area
`addTrait, getAllocBPD, getAllocIPD, getAreaClass, getBorderAndPaddingWidthAfter, getBorderAndPaddingWidthBefore, getBorderAndPaddingWidthEnd, getBorderAndPaddingWidthStart, getBPD, getIPD, getSpaceAfter, getSpaceBefore, getSpaceEnd, getSpaceStart, getTrait, getTraitAsBoolean, getTraitAsInteger, getTraits, hasTrait, hasTraits, setAreaClass, setBPD, setIPD`

Methods inherited from class org.apache.fop.area.AreaTreeObject
`addExtensionAttachment, getExtensionAttachments, getForeignAttributes, getForeignAttributeValue, hasExtensionAttachments, setExtensionAttachments, setForeignAttribute, setForeignAttributes`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### regionViewport

    protected RegionViewport regionViewport

  the parent RegionViewport for this object

Constructor Detail

### RegionReference

    public RegionReference(Region regionFO,
                           RegionViewport parent)

  Create a new region reference area.

Parameters:
  `regionFO` - the region.
  `parent` - the viewport for this region.

### RegionReference

    public RegionReference(int regionClass,
                           java.lang.String regionName,
                           RegionViewport parent)

  Create a new region reference area.

Parameters:
  `regionClass` - the region class (as returned by Region.getNameId())
  `regionName` - the name of the region (as returned by Region.getRegionName())
  `parent` - the viewport for this region.

Method Detail

### addChildArea

    public void addChildArea(Area child)

  Add a child to this area. The default is to do nothing. Subclasses must override to do something if they can have child areas.

  Overrides:
    `addChildArea` in class `Area`
  Parameters:
    `child` - the child area to add

### setCTM

    public void setCTM(CTM ctm)

  Set the Coordinate Transformation Matrix which transforms content coordinates in this region reference area which are specified in terms of "start" and "before" into coordinates in a system which is positioned in "absolute" directions (with origin at lower left of the region reference area.

  Parameters:
    `ctm` - the current transform to position this region

### getRegionViewport

    public RegionViewport getRegionViewport()

  Returns:
    Returns the parent RegionViewport.

### getCTM

    public CTM getCTM()

  Get the current transform of this region.

  Returns:
    ctm the current transform to position this region

### getBlocks

    public java.util.List getBlocks()

  Get the block in this region.

  Returns:
    the list of blocks in this region

### getRegionClass

    public int getRegionClass()

  Get the region class of this region.

  Returns:
    the region class

### getRegionName

    public java.lang.String getRegionName()

  Returns:
    the region name

### addBlock

    public void addBlock(Block block)

  Add a block area to this region reference area.

  Parameters:
    `block` - the block area to add

### clone

    public java.lang.Object clone()

  Clone this region. This is used when cloning the page by the page master.

  Returns:
    a copy of this region reference area

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `Area`
  Returns:
    ipd and bpd of area

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.